Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client.json
Interface IJsonConstants

    public interface IJsonConstants

The `IJsonConstants` interface provides JSON-specific constants used when JSON as a transport mechanism between the REST client and the REST server.

Nested Class Summary
`static class` | `IJsonConstants.RequestMethod` The HTTP method to use when creating a connection with the REST server.

Field Summary
`static String` | `BASE64_SUFFIX` The suffix appended to properties whose values are base64-encoded
`static String` | `CHILDREN_KEY` The key in the `JSONObject` whose value is the collection of node children.
`static String` | `PROPERTIES_KEY` The key in the `JSONObject` whose value is the collection of node properties.
`static String` | `QUERY_CONTEXT` The segment added to the URLs for queries.
`static String` | `WORKSPACE_CONTEXT` The workspace context added to the URLs.

Field Detail

### CHILDREN_KEY

    static final String CHILDREN_KEY

  The key in the `JSONObject` whose value is the collection of node children.

  See Also:
    Constant Field Values

### PROPERTIES_KEY

    static final String PROPERTIES_KEY

  The key in the `JSONObject` whose value is the collection of node properties.

  See Also:
    Constant Field Values

### WORKSPACE_CONTEXT

    static final String WORKSPACE_CONTEXT

  The workspace context added to the URLs.

  See Also:
    Constant Field Values

### QUERY_CONTEXT

    static final String QUERY_CONTEXT

  The segment added to the URLs for queries.

  See Also:
    Constant Field Values

### BASE64_SUFFIX

    static final String BASE64_SUFFIX

  The suffix appended to properties whose values are base64-encoded

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.